Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1879609 - [OSP17] test_novnc fails with "Token must be invalid because the connection closed"
Summary: [OSP17] test_novnc fails with "Token must be invalid because the connection c...
Keywords:
Status: MODIFIED
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 13.0 (Queens)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: beta
: 17.0
Assignee: Martin Schuppert
QA Contact: nova-maint
URL:
Whiteboard:
Depends On:
Blocks: 1940834 1940836
TreeView+ depends on / blocked
 
Reported: 2020-09-16 16:00 UTC by Archit Modi
Modified: 2021-04-26 06:27 UTC (History)
13 users (show)

Fixed In Version: openstack-tripleo-heat-templates-14.0.1-0.20210318004431.ea7c654.el8ost puppet-tripleo-14.0.1-0.20210324005402.9d56b92.el8ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1940834 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Launchpad 1917719 0 None None None 2021-03-04 07:30:03 UTC
OpenStack gerrit 778617 0 None MERGED Use single NovaLibvirtNetwork to configure instance console components 2021-03-17 10:49:53 UTC
OpenStack gerrit 781157 0 None MERGED Fix novavnc haproxy network 2021-03-19 10:22:29 UTC

Description Archit Modi 2020-09-16 16:00:37 UTC
Description of problem: RHOS 13 TLS E deployment with the following extra THT param deploy, fails test_novnc test with mentioned error:
ServiceNetMap.NovaLibvirtNetwork=ctlplane

How reproducible: always

Steps to Reproduce:
1. Deploy RHOS 13 with TLS Everywhere and following THT parameter:
    ServiceNetMap
        NovaLibvirtNetwork=ctlplane
2. Run tempest test tempest.api.compute.servers.test_novnc.NoVNCConsoleTestJSON.test_novnc
3. Test fails

Actual results:
       Body: {"os-getVNCConsole": {"type": "novnc"}}
    Response - Headers: {'status': '200', u'content-length': '144', 'content-location': 'https://overcloud.redhat.local:13774/v2.1/servers/21a9b536-1162-43d5-8e38-4f4d68bbf788/action', u'x-compute-request-id': 'req-80c6f4bd-9aab-4c50-8db8-d46da77d930e', u'vary': 'OpenStack-API-Version,X-OpenStack-Nova-API-Version,Accept-Encoding', u'server': 'Apache', u'openstack-api-version': 'compute 2.1', u'connection': 'close', u'x-openstack-nova-api-version': '2.1', u'date': 'Wed, 16 Sep 2020 14:38:46 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-80c6f4bd-9aab-4c50-8db8-d46da77d930e'}
        Body: {"console": {"url": "https://overcloud.redhat.local:13080/vnc_auto.html?path=%3Ftoken%3D885cd4b8-3c0a-487c-91b8-33fe326bc9f1", "type": "novnc"}}
}}}

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/tempest/api/compute/servers/test_novnc.py", line 188, in test_novnc
    self._validate_rfb_negotiation()
  File "/usr/lib/python2.7/site-packages/tempest/api/compute/servers/test_novnc.py", line 91, in _validate_rfb_negotiation
    'Token must be invalid because the connection '
  File "/usr/lib/python2.7/site-packages/unittest2/case.py", line 672, in assertFalse
    raise self.failureException(msg)
AssertionError: True is not false : Token must be invalid because the connection closed.

Expected results:
Test passed

Additional info:
Logs and job in #c1

Comment 3 Raildo Mascena de Sousa Filho 2020-10-05 14:35:13 UTC
Adding COND NAK Capacity on this BZ, but I'll be triaging it soon.


Note You need to log in before you can comment on or make changes to this bug.